API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Articles

Alle Operationen rund um Articles.

Datenmodell

Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:

Entität Schema-ID Felder Sequenz Permissions
Article article 102 article_*

Endpoints

Methode Pfad Operation Beschreibung
POST /v1/articles Create article Create a new article in the active tenant.
DELETE /v1/articles/{id} Delete article Soft delete entity.
DELETE /v1/articles/{id}/customer-prices/{partyId} DELETE /v1/articles/{id}/customer-prices/{partyId} CodeMeta OS API endpoint.
DELETE /v1/articles/{id}/grant-visibility/{partyId} DELETE /v1/articles/{id}/grant-visibility/{partyId} CodeMeta OS API endpoint.
GET /v1/articles/{id} Get article by id Fetch a single article.
GET /v1/articles/{id}/linked Get linked entities CodeMeta OS API endpoint.
GET /v1/articles/{id}/stats GET /v1/articles/{id}/stats Aggregated business KPIs for a single article
GET /v1/articles/{id}/timeline Get timeline CodeMeta OS API endpoint.
GET /v1/articles/{id}/transitions List transitions CodeMeta OS API endpoint.
GET /v1/articles List articles List articles for the active tenant.
PATCH /v1/articles/{id} Patch article JSON Merge Patch update.
POST /v1/articles/bulk Bulk operation CodeMeta OS API endpoint.
POST /v1/articles/{id}/grant-visibility/{partyId} POST /v1/articles/{id}/grant-visibility/{partyId} CodeMeta OS API endpoint.
POST /v1/articles/{id}/sync-from-source POST /v1/articles/{id}/sync-from-source Re-sync a single article from its linked external source (weclapp)
POST /v1/articles/{id}/transition POST /v1/articles/{id}/transition CodeMeta OS API endpoint.
POST /v1/articles/{id}/transitions/{transitionKey} Execute transition CodeMeta OS API endpoint.
PUT /v1/articles/{id}/customer-prices/{partyId} PUT /v1/articles/{id}/customer-prices/{partyId} CodeMeta OS API endpoint.
PUT /v1/articles/{id} Replace article Full replace with optimistic locking.

Suche